$Revision$
$Date$

# Structure event_t

The structure represents parsed Event body. The structure is declared in `parse_event.h` file.

Structure Declaration:

    #define EVENT_OTHER    0
    #define EVENT_PRESENCE 1

    typedef struct event {
        str text;   /* Original string representation */
        int parsed; /* Parsed variant */
    } event_t;

Field Description:

- text - Package name as text.

- parsed - Package name as integer. It will be EVENT_PRESENCE for presence package and EVENT_OTHER for rest.